Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#24621 - Phpmyadmin dependency problem

Attached to Project: Community Packages
Opened by H.Gökhan Sarı (th0th) - Wednesday, 08 June 2011, 02:09 GMT
Last edited by Sergej Pupykin (sergej) - Friday, 10 June 2011, 07:47 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
libmcrypt is listed as an optional dependency of phpmyadmin. However, I couldn't manage to get phpmyadmin working without libmcrypt and php-mcrypt. Shouldn't they be phpmyadmin's dependencies?

Additional info:
* phpmyadmin version 3.4.1-2
* php-mcrypt module should be enabled in php.ini as well, but i am not sure if this is a problem or user should enable it herself

BTW, phpmyadmin is in community but there is no community repository category in flyspray.
This task depends upon

Closed by  Sergej Pupykin (sergej)
Friday, 10 June 2011, 07:47 GMT
Reason for closing:  Fixed
Comment by Sergej Pupykin (sergej) - Wednesday, 08 June 2011, 09:00 GMT
it surely works without mcrypt with

$cfg['Servers'][$i]['auth_type'] = 'config';

about flyspray - there is Community Packages project and you can report bug by clicking "Report a bug" link on https://www.archlinux.org/packages/community/any/phpmyadmin/ page
Comment by H.Gökhan Sarı (th0th) - Wednesday, 08 June 2011, 11:05 GMT
I've never realized that there is such an option. Can't we at least add this notice to post_install() with an echo?
Comment by Sergej Pupykin (sergej) - Wednesday, 08 June 2011, 11:22 GMT
Added http://wiki.archlinux.org/index.php/PhpMyAdmin into .install (in svn only yet)
Comment by H.Gökhan Sarı (th0th) - Thursday, 09 June 2011, 22:28 GMT
Thanks!

Loading...